package org.processmining.logdecomposer.algorithms;

import org.deckfour.xes.model.XLog;
import org.processmining.activityclusterarray.models.ActivityClusterArray;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.log.models.EventLogArray;
import org.processmining.logdecomposer.filters.DecompositionFilterManager;
import org.processmining.logdecomposer.parameters.DecomposeEventLogUsingActivityClusterArrayParameters;

public class DecomposeEventLogUsingActivityClusterArrayAlgorithm {

	public EventLogArray apply(PluginContext context, XLog eventLog, ActivityClusterArray clusters,
			DecomposeEventLogUsingActivityClusterArrayParameters parameters) {
		return DecompositionFilterManager.getInstance().getMiner(parameters.getFilter()).apply(context, eventLog, clusters, parameters);
	}

}
